Bug 1787225 (wapiti) - Review Request: wapiti - A web application vulnerability scanner
Summary: Review Request: wapiti - A web application vulnerability scanner
Keywords:
Status: CLOSED ERRATA
Alias: wapiti
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 566412 (view as bug list)
Depends On: 1787224
Blocks: FE-DEADREVIEW FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2020-01-01 18:18 UTC by Fabian Affolter
Modified: 2020-02-10 00:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-07 01:50:47 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-01-01 18:18:08 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/wapiti.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/wapiti-3.0.2-1.fc31.src.rpm

Project URL: http://wapiti.sourceforge.net/

Description:
Wapiti allows you to audit the security of your web applications. It performs
"black-box" scans, i.e. it does not study the source code of the application 
but will scans the web pages of the deployed web app, looking for scripts and 
forms where it can inject data. Once it gets this list, Wapiti acts like a 
fuzzer, injecting payloads to see if a script is vulnerable.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40028126

rpmlint output:
rpmlint wapiti-3.0.2-1.fc31.src.rpm 
wapiti.src: W: spelling-error %description -l en_US fuzzer -> fuzzier, fuzzes, fuzzed
wapiti.src:38: W: macro-in-comment %check
wapiti.src: W: file-size-mismatch wapiti3-3.0.2.tar.gz = 561658, https://downloads.sourceforge.net/wapiti3/wapiti3-3.0.2.tar.gz = 121181
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint wapiti-3.0.2-1.fc31.noarch.rpm 
wapiti.noarch: W: spelling-error %description -l en_US fuzzer -> fuzzier, fuzzes, fuzzed
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.7/site-packages/wapitiCore/config/language/de/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.7/site-packages/wapitiCore/config/language/en/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.7/site-packages/wapitiCore/config/language/es/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.7/site-packages/wapitiCore/config/language/fr/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.7/site-packages/wapitiCore/config/language/ms/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.7/site-packages/wapitiCore/config/language/pt/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.7/site-packages/wapitiCore/config/language/zh/LC_MESSAGES/wapiti.mo
1 packages and 0 specfiles checked; 0 errors, 8 warnings.

Fedora Account System Username: fab

I'm not sure how to deal with the language files as it doesn't following hte common standards.

Comment 1 Robert-André Mauchin 🐧 2020-01-07 17:21:23 UTC
 - Use %{python3_version} or b glob * instead of ?.? because Python 3.10 will break this package otherwise:

%{python3_sitelib}/%{name}3-%{version}-py*.egg-info


 - I've got an error with your Source0 URL, seems the correct URL would be:

Source0:        https://downloads.sourceforge.net/project/%{name}/%{name}/%{name}-%{version}/%{name}3-%{version}.tar.gz


 - Build fails with a missing deps: 

+ CFLAGS='-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection'
+ LDFLAGS='-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld'
+ /usr/bin/python3 setup.py build '--executable=/usr/bin/python3 -s'
Download error on https://pypi.org/simple/pytest-runner/: [Errno -2] Name or service not known -- Some packages may not be found!
Couldn't find index page for 'pytest-runner' (maybe misspelled?)


BuildRequires:  python3-pytest-runner

Comment 2 Fabian Affolter 2020-01-21 22:42:07 UTC
Thanks for the feedback.

* Fri Jan 10 2020 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.2-2
- Adjust BRs
- Update the source URL
- Better use of wildcards (rhbz#1787225)

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/wapiti.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/wapiti-3.0.2-2.fc31.src.rpm

Comment 3 Robert-André Mauchin 🐧 2020-01-22 01:54:38 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v2 or later)", "Mozilla Public
     License (v1.1) GNU General Public License (v2 or later) or GNU Lesser
     General Public License (v2.1 or later)". 78 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/wapiti/review-wapiti/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wapiti-3.0.2-2.fc32.noarch.rpm
          wapiti-3.0.2-2.fc32.src.rpm
wapiti.noarch: W: spelling-error %description -l en_US fuzzer -> fuzzier, fuzzes, fuzzed
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.8/site-packages/wapitiCore/config/language/de/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.8/site-packages/wapitiCore/config/language/en/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.8/site-packages/wapitiCore/config/language/es/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.8/site-packages/wapitiCore/config/language/fr/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.8/site-packages/wapitiCore/config/language/ms/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.8/site-packages/wapitiCore/config/language/pt/LC_MESSAGES/wapiti.mo
wapiti.noarch: W: file-not-in-%lang /usr/lib/python3.8/site-packages/wapitiCore/config/language/zh/LC_MESSAGES/wapiti.mo
wapiti.src: W: spelling-error %description -l en_US fuzzer -> fuzzier, fuzzes, fuzzed
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 4 Fabian Affolter 2020-01-24 11:11:40 UTC
Thanks for the review.

Comment 5 Gwyn Ciesla 2020-01-24 14:28:31 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/wapiti

Comment 6 Fedora Update System 2020-01-25 09:53:26 UTC
FEDORA-2020-b571ddd963 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b571ddd963

Comment 7 Fedora Update System 2020-01-26 01:14:45 UTC
wapiti-3.0.2-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9d579d2ca1

Comment 8 Fabian Affolter 2020-01-27 07:10:37 UTC
*** Bug 566412 has been marked as a duplicate of this bug. ***

Comment 9 Fedora Update System 2020-01-30 22:59:27 UTC
wapiti-3.0.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b571ddd963

Comment 10 Fedora Update System 2020-02-07 01:50:47 UTC
wapiti-3.0.2-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-02-10 00:17:31 UTC
wapiti-3.0.2-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.